#{extends 'border.html'/}
<div class="container-fluid">

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{katalog.PermohonanPembaruanCtr.index()}">&{'permohonan_pembaruan.label'}</a></li>
                <li><a href="@{katalog.PermohonanPembaruanCtr.ListPenawaranKontrak(id)}">&{'daftar.label'} &{'penawaran.label'}</a></li>
                <li class="active">&{'daftar.label'} &{'kontrak.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <!-- Toolbar -->
    <div class="row">
        <div class="col-md-12">
            <div class="toolbar">
            #{backButton/}
            #{if showButtonTambah && !sudahAdaKontrak}
                <a href="@{katalog.PermohonanPembaruanCtr.createKontrak(id, penawaran_id)}" class="btn btn-primary btn-md"><i
                    class="fa fa-plus"></i> &{'tambah.label'} &{'kontrak.label'}</a>
            #{/if}
            *{#{if dapatDiselesaikan}}*
                *{<a href="#" onclick="openFormSetuju()"}*
                   *{class="btn btn-success btn-md"><i}*
                        *{class="fa fa-calendar-check-o"></i> &{'selesaikan.label'} &{'permohonan_pembaruan.label'}</a>}*
            *{#{/if}}*
            </div>
        #{alert /}
        *{#{if dapatDiselesaikan}}*
            *{<div class="alert alert-warning alert-dismissible">}*
                *{<button class="close" data-dismiss="alert" aria-label="Close">}*
                    *{<i class="fa fa-close" aria-hidden="true"></i>}*
                *{</button>}*
                *{<p>&{'selesaikan_permohonan.label'}</p>}*
            *{</div>}*
        *{#{/if}}*
        </div>
    </div>
    <!-- End Toolbar -->

    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-body" style="overflow-x:auto;">
                    <!-- Data Table -->
                    <table class="table table-striped" id="tblKontrak">
                        <thead>
                        <tr>
                            <th class="header-center">&{'dibuat_oleh.label'}</th>
                            <th class="header-center">&{'nomor_kontrak.label'}</th>
                            <th class="header-center">&{'file_kontrak.label'}</th>
                            <th class="header-center">&{'tanggal_kontrak.label'}</th>
                            <th class="header-center">&{'catatan.label'}</th>
                            <th class="header-center">&{'aksi.label'}</th>
                        </tr>
                        </thead>
                        <tbody>
                        #{list items:kontrak, as:'item'}
                        <tr>
                            <td>${item?.nama_lengkap}</td>
                            <td>${item?.no_kontrak}</td>
                            <td class="text-center"><a href="${item?.getFileUrl()}">${item?.nama_file}</a></td>
                            <td class="text-center">${item?.getContractDate()}</td>
                            <td>${item?.deskripsi}</td>
                            <td class="text-center">
                                #{if showButtonTambah && aktifUser.user_id.equals(new Long(item?.created_by))}
                                    <a href="@{katalog.PermohonanPembaruanCtr.editKontrak(item?.id)}"
                                       class="btn btn-primary btn-md">&{'ubah.label'}</a>
                                #{/if}
                            </td>
                        </tr>
                        #{/list}
                        </tbody>
                    </table>
                    <!-- End Data Table -->
                </div>
            </div>
        </div>
    </div>

    *{<div class="modal fade" id="formPersetujuan" tabindex="-1" role="dialog"}*
         *{aria-labelledby="myModalLabel">}*
    *{#{form @katalog.PermohonanPembaruanCtr.selesaikanPermohonan(), method:'POST', id:'formSetuju'}}*
        *{<div class="modal-dialog modal-md">}*
            *{<div class="modal-content">}*
                *{<div class="modal-header">}*
                    *{<button type="button" class="close" data-dismiss="modal">&times;</button>}*
                    *{<h4 class="modal-title" id="modalTitle">&{'form_persetujuan.label'}</h4>}*
                *{</div>}*
                *{<div class="modal-body">}*
                    *{<div class="row">}*
                        *{<div class="col-lg-12">}*
                            *{<p>&{'selesaikan.konfirmasi.label'}</p>}*
                        *{</div>}*
                    *{</div>}*
                    *{<input class="form-control permId" value="${id}" id="permId" name="permId" style="display: none"/>}*
                *{</div>}*
                *{<div class="modal-footer">}*
                    *{<button type="button" onclick="submitSetuju()" class="btn btn-primary setuju"}*
                            *{id="setuju">&{'ya.label'}</button>&nbsp;}*
                    *{<button type="button" class="btn btn-default" data-dismiss="modal">&{'tutup.label'}</button>&nbsp;}*
                *{</div>}*
            *{</div>}*
        *{</div>}*
    *{#{/form}}*
    *{</div>}*
</div>

#{set 'moreScripts'}
<script type="text/javascript">
    function openFormSetuju() {
        $('#modalTitle').text("&{'konfirmasi.label'}");
        $('#formPersetujuan').modal('show').find('.modal-body').load($(this).attr('href'));
    }

    function submitSetuju() {
        $('#formSetuju').submit();
    }
</script>
#{/set}